Video API, REST: StreamLine.Create
Creates a new stream line in the specified channel with the provided configuration.
Stream lines define the technical settings for receiving and processing video signals.
HTTP request
POST https://video.api.cloud.yandex.net/video/v1/streamLines
Body parameters
{
"channelId": "string",
"title": "string",
// Includes only one of the fields `rtmpPush`, `rtmpPull`, `srtPull`
"rtmpPush": "object",
"rtmpPull": {
"url": "string"
},
"srtPull": {
"url": "string"
},
// end of the list of possible fields
// Includes only one of the fields `manualLine`, `autoLine`
"manualLine": "object",
"autoLine": "object",
// end of the list of possible fields
"labels": "object"
}
|
Field |
Description |
|
channelId |
string Required field. ID of the channel. The maximum string length in characters is 50. |
|
title |
string Required field. Line title. The maximum string length in characters is 300. |
|
rtmpPush |
object RTMP push input type. Includes only one of the fields Video signal settings. |
|
rtmpPull |
RTMP pull input type. Includes only one of the fields Video signal settings. |
|
srtPull |
SRT pull input type. Includes only one of the fields Video signal settings. |
|
manualLine |
object Manual stream control. Includes only one of the fields Line type. |
|
autoLine |
object Automatic stream control. Includes only one of the fields Line type. |
|
labels |
object (map<string, string>) Custom user-defined labels as key:value pairs. The maximum string length in characters for each value is 63. The maximum string length in characters for each key is 63. Each key must match the regular expression |
RTMPPullParams
Parameters for creating an RTMP pull input type stream line.
|
Field |
Description |
|
url |
string Required field. The RTMP URL from which to pull the video stream. Value must match the regular expression |
SRTPullParams
Parameters for creating an SRT pull input type stream line.
|
Field |
Description |
|
url |
string Required field. The SRT URL from which to pull the video stream. Value must match the regular expression |
Response
HTTP Code: 200 - OK
{
"id": "string",
"description": "string",
"createdAt": "string",
"createdBy": "string",
"modifiedAt": "string",
"done": "boolean",
"metadata": "object",
// Includes only one of the fields `error`, `response`
"error": {
"code": "integer",
"message": "string",
"details": [
"object"
]
},
"response": "object"
// end of the list of possible fields
}
An Operation resource. For more information, see Operation.
|
Field |
Description |
|
id |
string ID of the operation. |
|
description |
string Description of the operation. 0-256 characters long. |
|
createdAt |
string (date-time) Creation timestamp. String in RFC3339 To work with values in this field, use the APIs described in the |
|
createdBy |
string ID of the user or service account who initiated the operation. |
|
modifiedAt |
string (date-time) The time when the Operation resource was last modified. String in RFC3339 To work with values in this field, use the APIs described in the |
|
done |
boolean If the value is |
|
metadata |
object Service-specific metadata associated with the operation. |
|
error |
The error result of the operation in case of failure or cancellation. Includes only one of the fields The operation result. |
|
response |
object The normal response of the operation in case of success. Includes only one of the fields The operation result. |
Status
The error result of the operation in case of failure or cancellation.
|
Field |
Description |
|
code |
integer (int32) Error code. An enum value of google.rpc.Code |
|
message |
string An error message. |
|
details[] |
object A list of messages that carry the error details. |